import { TreeListDefault } from '../tree-grid/tree-list.class';
import { AppMenuService } from '../../services/app-menu.service';
export declare class AppMenuComponent {
    private appMenuService;
    id: string;
    flat: boolean;
    treeList: TreeListDefault;
    dragEnabled: boolean;
    constructor(appMenuService: AppMenuService);
    uiElement: string;
    closed: boolean;
    readonly gridType: "row" | "column" | "column-reverse" | "grid";
    gridCols: number;
    treeGridCols: number;
    readonly appStyle: "tab" | "fab" | "list" | "hub" | "icon";
    onlyIcons: boolean;
    private readonly model;
    setMenu(menuObject: any): void;
    ngAfterViewInit(): void;
}
